diff --git a/ldap/servers/slapd/back-ldbm/ldbm_config.c b/ldap/servers/slapd/back-ldbm/ldbm_config.c
index ef849d8..181c2f5 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_config.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_config.c
@@ -77,7 +77,7 @@ int ldbm_config_add_dse_entries(struct ldbminfo *li, char **entries, char *strin
         } else if (result == LDAP_ALREADY_EXISTS) {
             LDAPDebug1Arg(LDAP_DEBUG_TRACE, "Database config entry [%s] already exists - skipping\n", ebuf);
         } else {
-            LDAPDebug(LDAP_DEBUG_ANY, "Unable to add config entry [%s] to the DSE: %d %d\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Unable to add config entry [%s] to the DSE: %d %d\n",
                       ebuf, result, rc);
         }
         slapi_pblock_destroy(util_pb);
@@ -305,12 +305,12 @@ static int ldbm_config_directory_set(void *arg, void *value, char *errorbuf, int
         slapi_ch_free((void **) &(li->li_new_directory));
         li->li_new_directory = rel2abspath(val); /* normalize the path;
                                                     strdup'ed in rel2abspath */
-        LDAPDebug(LDAP_DEBUG_ANY, "New db directory location will not take affect until the server is restarted\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "New db directory location will not take affect until the server is restarted\n", 0, 0, 0);
     } else {
         slapi_ch_free((void **) &(li->li_new_directory));
         slapi_ch_free((void **) &(li->li_directory));
         if (NULL == val || '\0' == *val) {
-            LDAPDebug(LDAP_DEBUG_ANY, 
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                 "ERROR: db directory is not set; check %s in the db config: %s\n",
                 CONFIG_DIRECTORY, CONFIG_LDBM_DN, 0);
             retval = LDAP_PARAM_ERROR;
@@ -335,7 +335,7 @@ static int ldbm_config_directory_set(void *arg, void *value, char *errorbuf, int
                 slapi_pblock_get(search_pb, SLAPI_PLUGIN_INTOP_RESULT, &res);
     
                 if (res != LDAP_SUCCESS) {
-                    LDAPDebug(LDAP_DEBUG_ANY, 
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                               "ERROR: ldbm plugin unable to read %s\n",
                               CONFIG_LDBM_DN, 0, 0);
                     retval = res;
@@ -344,7 +344,7 @@ static int ldbm_config_directory_set(void *arg, void *value, char *errorbuf, int
     
                 slapi_pblock_get(search_pb, SLAPI_PLUGIN_INTOP_SEARCH_ENTRIES, &entries);
                 if (NULL == entries) {
-                    LDAPDebug(LDAP_DEBUG_ANY,
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                               "ERROR: ldbm plugin unable to read %s\n",
                               CONFIG_LDBM_DN, 0, 0);
                     retval = LDAP_OPERATIONS_ERROR;
@@ -353,7 +353,7 @@ static int ldbm_config_directory_set(void *arg, void *value, char *errorbuf, int
                 
                 res = slapi_entry_attr_find(entries[0], "nsslapd-directory", &attr);
                 if (res != 0 || attr == NULL) {
-                    LDAPDebug(LDAP_DEBUG_ANY, 
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                               "ERROR: ldbm plugin unable to read attribute nsslapd-directory from %s\n",
                               CONFIG_LDBM_DN, 0, 0);
                     retval = LDAP_OPERATIONS_ERROR;
@@ -363,7 +363,7 @@ static int ldbm_config_directory_set(void *arg, void *value, char *errorbuf, int
                 if ( slapi_attr_first_value(attr,&v) != 0
                         || ( NULL == v )
                         || ( NULL == ( s = slapi_value_get_string( v )))) {
-                    LDAPDebug(LDAP_DEBUG_ANY, 
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                               "ERROR: ldbm plugin unable to read attribute nsslapd-directory from %s\n",
                               CONFIG_LDBM_DN, 0, 0);
                     retval = LDAP_OPERATIONS_ERROR;
@@ -371,7 +371,7 @@ static int ldbm_config_directory_set(void *arg, void *value, char *errorbuf, int
                 }
                 slapi_pblock_destroy(search_pb);
                 if (NULL == s || '\0' == s || 0 == PL_strcmp(s, "(null)")) {
-                    LDAPDebug(LDAP_DEBUG_ANY, 
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                         "ERROR: db directory is not set; check %s in the db config: %s\n",
                         CONFIG_DIRECTORY, CONFIG_LDBM_DN, 0);
                     retval = LDAP_PARAM_ERROR;
@@ -419,7 +419,7 @@ static int ldbm_config_dbcachesize_set(void *arg, void *value, char *errorbuf, i
         /* min: 8KB (page size) * def thrd cnts (threadnumber==20). */
 #define DBDEFMINSIZ     500000
         if (val < DBDEFMINSIZ) {
-            LDAPDebug( LDAP_DEBUG_ANY,"WARNING: cache too small, increasing to %dK bytes\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"WARNING: cache too small, increasing to %dK bytes\n",
                     DBDEFMINSIZ/1000, 0, 0);
             val = DBDEFMINSIZ;
         } else if (val > li->li_dbcachesize) {
@@ -432,7 +432,7 @@ static int ldbm_config_dbcachesize_set(void *arg, void *value, char *errorbuf, i
         }
         if (CONFIG_PHASE_RUNNING == phase) {
             li->li_new_dbcachesize = val;
-            LDAPDebug(LDAP_DEBUG_ANY, "New db cache size will not take affect until the server is restarted\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "New db cache size will not take affect until the server is restarted\n",
                     0, 0, 0);
         } else {
             li->li_new_dbcachesize = val;
@@ -458,7 +458,7 @@ static int ldbm_config_maxpassbeforemerge_set(void *arg, void *value, char *erro
     
     if (apply) {
         if (val < 0) {
-            LDAPDebug( LDAP_DEBUG_ANY,"WARNING: maxpassbeforemerge will not take negative value\n", 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"WARNING: maxpassbeforemerge will not take negative value\n", 0, 0, 0);
             val = 100;
         } 
         
@@ -486,7 +486,7 @@ static int ldbm_config_dbncache_set(void *arg, void *value, char *errorbuf, int
 
         if (CONFIG_PHASE_RUNNING == phase) {
             li->li_new_dbncache = val;
-            LDAPDebug(LDAP_DEBUG_ANY, "New nsslapd-dbncache will not take affect until the server is restarted\n", 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "New nsslapd-dbncache will not take affect until the server is restarted\n", 0, 0, 0);
         } else {
             li->li_new_dbncache = val;
             li->li_dbncache = val;
@@ -1022,7 +1022,7 @@ static int ldbm_config_db_lock_set(void *arg, void *value, char *errorbuf, int p
     if (apply) {
         if (CONFIG_PHASE_RUNNING == phase) {
             li->li_dblayer_private->dblayer_lock_config = val;
-            LDAPDebug(LDAP_DEBUG_ANY, "New db max lock count will not take affect until the server is restarted\n", 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "New db max lock count will not take affect until the server is restarted\n", 0, 0, 0);
         } else {
             li->li_dblayer_private->dblayer_lock_config = val;
         }
@@ -1455,7 +1455,7 @@ static int ldbm_config_db_deadlock_policy_set(void *arg, void *value, char *erro
 	    slapi_create_errormsg(errorbuf, SLAPI_DSE_RETURNTEXT_SIZE,
 	                "Error: Invalid value for %s (%d). Must be between %d and %d inclusive",
 	                CONFIG_DB_DEADLOCK_POLICY, val, DB_LOCK_DEFAULT, DB_LOCK_YOUNGEST);
-	    LDAPDebug(LDAP_DEBUG_ANY, "Error: Invalid value for deadlock policy (%d). Must be between %d and %d inclusive",
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error: Invalid value for deadlock policy (%d). Must be between %d and %d inclusive",
 	                val, DB_LOCK_DEFAULT, DB_LOCK_YOUNGEST);
 	    return LDAP_UNWILLING_TO_PERFORM;
     }
@@ -1627,7 +1627,7 @@ int ldbm_config_load_dse_info(struct ldbminfo *li)
 
     search_pb = slapi_pblock_new();
     if (!search_pb) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "ldbm_config_load_dse_info: Out of memory\n",
                       0, 0, 0);
         rval = 1;
@@ -1644,7 +1644,7 @@ int ldbm_config_load_dse_info(struct ldbminfo *li)
         ldbm_config_add_dse_entries(li, ldbm_skeleton_entries,
                                     li->li_plugin->plg_name, NULL, NULL, 0);
     } else if (rval != LDAP_SUCCESS) {
-        LDAPDebug(LDAP_DEBUG_ANY, "Error accessing the ldbm config DSE\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error accessing the ldbm config DSE\n",
                   0, 0, 0);
         rval = 1;
         goto bail;
@@ -1654,13 +1654,13 @@ int ldbm_config_load_dse_info(struct ldbminfo *li)
         slapi_pblock_get(search_pb, SLAPI_PLUGIN_INTOP_SEARCH_ENTRIES,
                          &entries);
         if (NULL == entries || entries[0] == NULL) {
-            LDAPDebug(LDAP_DEBUG_ANY, "Error accessing the ldbm config DSE\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error accessing the ldbm config DSE\n",
                       0, 0, 0);
             rval = 1;
             goto bail;
         }
         if (0 != parse_ldbm_config_entry(li, entries[0], ldbm_config)) {
-            LDAPDebug(LDAP_DEBUG_ANY, "Error parsing the ldbm config DSE\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error parsing the ldbm config DSE\n",
                       0, 0, 0);
             rval = 1;
             goto bail;
@@ -1882,7 +1882,7 @@ int ldbm_config_set(void *arg, char *attr_name, config_info *config_array, struc
 
     config = get_config_info(config_array, attr_name);
     if (NULL == config) {
-        LDAPDebug(LDAP_DEBUG_CONFIG, "Unknown config attribute %s\n", attr_name, 0, 0);
+        LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "Unknown config attribute %s\n", attr_name, 0, 0);
         slapi_create_errormsg(err_buf, SLAPI_DSE_RETURNTEXT_SIZE, "Unknown config attribute %s\n", attr_name);
         return LDAP_SUCCESS; /* Ignore unknown attributes */
     }
@@ -1944,14 +1944,14 @@ int ldbm_config_set(void *arg, char *attr_name, config_info *config_array, struc
         } else if (LL_CMP(llval, >, llmaxint)) {
             slapi_create_errormsg(err_buf, SLAPI_DSE_RETURNTEXT_SIZE, "Error: value %s for attr %s is greater than the maximum %d\n",
                     str_val, attr_name, maxint);
-            LDAPDebug(LDAP_DEBUG_ANY, "Error: value %s for attr %s is greater than the maximum %d\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error: value %s for attr %s is greater than the maximum %d\n",
                     str_val, attr_name, maxint);
             return LDAP_UNWILLING_TO_PERFORM;
         /* check for underflow */
         } else if (LL_CMP(llval, <, llminint)) {
             slapi_create_errormsg(err_buf, SLAPI_DSE_RETURNTEXT_SIZE, "Error: value %s for attr %s is less than the minimum %d\n",
                     str_val, attr_name, minint);
-            LDAPDebug(LDAP_DEBUG_ANY, "Error: value %s for attr %s is less than the minimum %d\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error: value %s for attr %s is less than the minimum %d\n",
                     str_val, attr_name, minint);
             return LDAP_UNWILLING_TO_PERFORM;
         }
@@ -1986,14 +1986,14 @@ int ldbm_config_set(void *arg, char *attr_name, config_info *config_array, struc
         } else if (LL_CMP(llval, >, llmaxint)) {
             slapi_create_errormsg(err_buf, SLAPI_DSE_RETURNTEXT_SIZE, "Error: value %s for attr %s is greater than the maximum %d\n",
                     str_val, attr_name, maxint);
-            LDAPDebug(LDAP_DEBUG_ANY, "Error: value %s for attr %s is greater than the maximum %d\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error: value %s for attr %s is greater than the maximum %d\n",
                     str_val, attr_name, maxint);
             return LDAP_UNWILLING_TO_PERFORM;
         /* check for underflow */
         } else if (LL_CMP(llval, <, llminint)) {
             slapi_create_errormsg(err_buf, SLAPI_DSE_RETURNTEXT_SIZE, "Error: value %s for attr %s is less than the minimum %d\n",
                     str_val, attr_name, minint);
-            LDAPDebug(LDAP_DEBUG_ANY, "Error: value %s for attr %s is less than the minimum %d\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error: value %s for attr %s is less than the minimum %d\n",
                     str_val, attr_name, minint);
             return LDAP_UNWILLING_TO_PERFORM;
         }
@@ -2083,7 +2083,7 @@ static int parse_ldbm_config_entry(struct ldbminfo *li, Slapi_Entry *e, config_i
         bval = (struct berval *) slapi_value_get_berval(sval);
         
         if (ldbm_config_set(li, attr_name, config_array, bval, err_buf, CONFIG_PHASE_STARTUP, 1 /* apply */, LDAP_MOD_REPLACE) != LDAP_SUCCESS) {
-            LDAPDebug(LDAP_DEBUG_ANY, "Error with config attribute %s : %s\n", attr_name, err_buf, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error with config attribute %s : %s\n", attr_name, err_buf, 0);
             return 1;
         }
     }
@@ -2203,7 +2203,7 @@ void ldbm_config_internal_set(struct ldbminfo *li, char *attrname, char *value)
     if (ldbm_config_set((void *) li, attrname, ldbm_config, &bval, 
                         err_buf, CONFIG_PHASE_INTERNAL, 1 /* apply */,
                         LDAP_MOD_REPLACE) != LDAP_SUCCESS) {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                   "Internal Error: Error setting instance config attr %s to %s: %s\n", 
                   attrname, value, err_buf);
         exit(1);
diff --git a/ldap/servers/slapd/back-ldbm/ldbm_delete.c b/ldap/servers/slapd/back-ldbm/ldbm_delete.c
index f801e01..4350ae6 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_delete.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_delete.c
@@ -729,12 +729,12 @@ ldbm_back_delete( Slapi_PBlock *pb )
 			}
 			retval = id2entry_add( be, tombstone, &txn );
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug( LDAP_DEBUG_BACKLDBM, "delete 1 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
+				LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "delete 1 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
 				/* Abort and re-try */
 				continue;
 			}
 			if (retval) {
-				LDAPDebug( LDAP_DEBUG_ANY, "id2entry_add failed, err=%d %s\n",
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "id2entry_add failed, err=%d %s\n",
 				           retval, (msg = dblayer_strerror( retval )) ? msg : "", 0 );
 				if (LDBM_OS_ERR_IS_DISKFULL(retval)) disk_full = 1;
 				DEL_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
@@ -774,7 +774,7 @@ ldbm_back_delete( Slapi_PBlock *pb )
 			continue;
 		}
 		if (retval) {
-			LDAPDebug(LDAP_DEBUG_ANY, "index_del_entry(%s, 0x%x) failed (%d)\n", 
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "index_del_entry(%s, 0x%x) failed (%d)\n", 
 			          slapi_entry_get_dn(e->ep_entry), addordel_flags, retval);
 			DEL_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
 			goto error_return;
@@ -792,14 +792,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 							SLAPI_ATTR_VALUE_TOMBSTONE,
 							tombstone->ep_id,BE_INDEX_ADD, &txn);
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug( LDAP_DEBUG_BACKLDBM,
+				LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 							"delete (adding %s) DB_LOCK_DEADLOCK\n",
 							SLAPI_ATTR_VALUE_TOMBSTONE, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (retval) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				           "delete (adding %s) failed, err=%d %s\n",
 				           SLAPI_ATTR_VALUE_TOMBSTONE, retval,
 				           (msg = dblayer_strerror( retval )) ? msg : "" );
@@ -816,14 +816,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 				                               deletion_csn_str, tombstone->ep_id,
 				                               BE_INDEX_ADD, &txn);
 				if (DB_LOCK_DEADLOCK == retval) {
-					LDAPDebug( LDAP_DEBUG_BACKLDBM,
+					LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 					           "delete tombstone csn(adding %s) DB_LOCK_DEADLOCK\n",
 					           deletion_csn_str, 0, 0 );
 					/* Retry txn */
 					continue;
 				}
 				if (0 != retval) {
-					LDAPDebug( LDAP_DEBUG_ANY,
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 							   "delete tombsone csn(adding %s) failed, err=%d %s\n",
 							   deletion_csn_str,
 							   retval,
@@ -840,14 +840,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 							slapi_entry_get_uniqueid(tombstone->ep_entry),
 							tombstone->ep_id,BE_INDEX_ADD,&txn);
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug( LDAP_DEBUG_BACKLDBM,
+				LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 							"delete (adding %s) DB_LOCK_DEADLOCK\n",
 							SLAPI_ATTR_UNIQUEID, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (retval) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 							"delete (adding %s) failed, err=%d %s\n",
 							SLAPI_ATTR_UNIQUEID, retval,
 							(msg = dblayer_strerror( retval )) ? msg : "" );
@@ -860,14 +860,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 							slapi_sdn_get_ndn(&nscpEntrySDN),
 							tombstone->ep_id, BE_INDEX_ADD, &txn);
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug( LDAP_DEBUG_BACKLDBM,
+				LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 							"delete (adding %s) DB_LOCK_DEADLOCK\n",
 							SLAPI_ATTR_NSCP_ENTRYDN, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (retval) {
-				LDAPDebug( LDAP_DEBUG_ANY, 
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 							"delete (adding %s) failed, err=%d %s\n",
 							SLAPI_ATTR_NSCP_ENTRYDN, retval,
 							(msg = dblayer_strerror( retval )) ? msg : "" );
@@ -884,14 +884,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 							entryusn_str, tombstone->ep_id, BE_INDEX_ADD, &txn);
 				slapi_ch_free_string(&entryusn_str);
 				if (DB_LOCK_DEADLOCK == retval) {
-					LDAPDebug( LDAP_DEBUG_BACKLDBM,
+					LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 								"delete (adding %s) DB_LOCK_DEADLOCK\n",
 								SLAPI_ATTR_ENTRYUSN, 0, 0 );
 					/* Retry txn */
 					continue;
 				}
 				if (0 != retval) {
-					LDAPDebug( LDAP_DEBUG_ANY, 
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 								"delete (adding %s) failed, err=%d %s\n",
 								SLAPI_ATTR_ENTRYUSN, retval,
 								(msg = dblayer_strerror( retval )) ? msg : "" );
@@ -921,7 +921,7 @@ ldbm_back_delete( Slapi_PBlock *pb )
 						continue;
 					}
 					if ( retval ) {
-						LDAPDebug( LDAP_DEBUG_ANY, 
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 								"delete (deleting %s) failed, err=%d %s\n",
 								LDBM_PARENTID_STR, retval,
 								(msg = dblayer_strerror( retval )) ? msg : "" );
@@ -958,7 +958,7 @@ ldbm_back_delete( Slapi_PBlock *pb )
 					continue;
 				}
 				if (retval) {
-					LDAPDebug(LDAP_DEBUG_ANY, 
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 					          "adding (adding tombstone entryrdn %s) failed, err=%d %s\n",
 					          slapi_entry_get_dn(tombstone->ep_entry),
 					          retval, (msg = dblayer_strerror( retval )) ? msg : "" );
@@ -980,14 +980,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 							SLAPI_ATTR_VALUE_TOMBSTONE, e->ep_id,
 							BE_INDEX_DEL|BE_INDEX_EQUALITY, &txn);
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug( LDAP_DEBUG_BACKLDBM,
+				LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 							"delete (deleting %s) DB_LOCK_DEADLOCK\n",
 							SLAPI_ATTR_VALUE_TOMBSTONE, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (0 != retval) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 							"delete (deleting %s) failed, err=%d %s\n",
 							SLAPI_ATTR_VALUE_TOMBSTONE, retval,
 							(msg = dblayer_strerror( retval )) ? msg : "" );
@@ -1004,14 +1004,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 				                               deletion_csn_str, e->ep_id,
 				                               BE_INDEX_DEL|BE_INDEX_EQUALITY, &txn);
 				if (DB_LOCK_DEADLOCK == retval) {
-					LDAPDebug( LDAP_DEBUG_BACKLDBM,
+					LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 					           "delete tombstone csn(deleting %s) DB_LOCK_DEADLOCK\n",
 					           deletion_csn_str, 0, 0 );
 					/* Retry txn */
 					continue;
 				}
 				if (0 != retval) {
-					LDAPDebug( LDAP_DEBUG_ANY,
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					           "delete tombsone csn(deleting %s) failed, err=%d %s\n",
 					           deletion_csn_str,
 					           retval,
@@ -1028,14 +1028,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 							slapi_entry_get_uniqueid(e->ep_entry),
 							e->ep_id, BE_INDEX_DEL|BE_INDEX_EQUALITY, &txn);
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug( LDAP_DEBUG_BACKLDBM,
+				LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 							"delete (deleting %s) DB_LOCK_DEADLOCK\n",
 							SLAPI_ATTR_UNIQUEID, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (0 != retval) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 							"delete (deleting %s) failed, err=%d %s\n",
 							SLAPI_ATTR_UNIQUEID, retval,
 							(msg = dblayer_strerror( retval )) ? msg : "" );
@@ -1052,14 +1052,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 								nscpedn, e->ep_id, BE_INDEX_DEL|BE_INDEX_EQUALITY, &txn);
 				slapi_ch_free((void **)&nscpedn);
 				if (DB_LOCK_DEADLOCK == retval) {
-					LDAPDebug( LDAP_DEBUG_BACKLDBM,
+					LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 								"delete (deleting %s) DB_LOCK_DEADLOCK\n",
 								SLAPI_ATTR_NSCP_ENTRYDN, 0, 0 );
 					/* Retry txn */
 					continue;
 				}
 				if (0 != retval) {
-					LDAPDebug( LDAP_DEBUG_ANY,
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 								"delete (deleting %s) failed, err=%d %s\n",
 								SLAPI_ATTR_NSCP_ENTRYDN, retval,
 								(msg = dblayer_strerror( retval )) ? msg : "" );
@@ -1078,14 +1078,14 @@ ldbm_back_delete( Slapi_PBlock *pb )
 							BE_INDEX_DEL|BE_INDEX_EQUALITY, &txn);
 				slapi_ch_free_string(&entryusn_str);
 				if (DB_LOCK_DEADLOCK == retval) {
-					LDAPDebug( LDAP_DEBUG_BACKLDBM,
+					LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
 								"delete (deleting %s) DB_LOCK_DEADLOCK\n",
 								SLAPI_ATTR_ENTRYUSN, 0, 0 );
 					/* Retry txn */
 					continue;
 				}
 				if (0 != retval) {
-					LDAPDebug( LDAP_DEBUG_ANY, 
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 								"delete (deleting %s) failed, err=%d %s\n",
 								SLAPI_ATTR_ENTRYUSN, retval,
 								(msg = dblayer_strerror( retval )) ? msg : "" );
@@ -1125,12 +1125,12 @@ ldbm_back_delete( Slapi_PBlock *pb )
 			                conn_id, op_id, parent_modify_c.old_entry, parent_modify_c.new_entry, retval);
 			if (DB_LOCK_DEADLOCK == retval)
 			{
-				LDAPDebug( LDAP_DEBUG_BACKLDBM, "del 4 DEADLOCK\n", 0, 0, 0 );
+				LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "del 4 DEADLOCK\n", 0, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (0 != retval) {
-				LDAPDebug( LDAP_DEBUG_ANY, "delete 3 BAD, err=%d %s\n",
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "delete 3 BAD, err=%d %s\n",
 					   retval, (msg = dblayer_strerror( retval )) ? msg : "", 0 );
 				if (LDBM_OS_ERR_IS_DISKFULL(retval)) disk_full = 1;
 				DEL_SET_ERROR(ldap_result_code, 
@@ -1148,7 +1148,7 @@ ldbm_back_delete( Slapi_PBlock *pb )
 
 			if (DB_LOCK_DEADLOCK == retval)
 			{
-				LDAPDebug( LDAP_DEBUG_BACKLDBM, "delete DEADLOCK vlv_update_index\n", 0, 0, 0 );
+				LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "delete DEADLOCK vlv_update_index\n", 0, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
@@ -1163,7 +1163,7 @@ ldbm_back_delete( Slapi_PBlock *pb )
 		if (!is_ruv && !is_fixup_operation && !delete_tombstone_entry && !NO_RUV_UPDATE(li)) {
 			ruv_c_init = ldbm_txn_ruv_modify_context( pb, &ruv_c );
 			if (-1 == ruv_c_init) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"ldbm_back_delete: ldbm_txn_ruv_modify_context "
 					"failed to construct RUV modify context\n",
 					0, 0, 0);
@@ -1180,7 +1180,7 @@ ldbm_back_delete( Slapi_PBlock *pb )
 				continue;
 			}
 			if (0 != retval) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"modify_update_all failed, err=%d %s\n", retval,
 					(msg = dblayer_strerror( retval )) ? msg : "", 0 );
 				if (LDBM_OS_ERR_IS_DISKFULL(retval))
@@ -1196,7 +1196,7 @@ ldbm_back_delete( Slapi_PBlock *pb )
 	}
 	if (retry_count == RETRY_TIMES) {
 		/* Failed */
-		LDAPDebug( LDAP_DEBUG_ANY, "Retry count exceeded in delete\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Retry count exceeded in delete\n", 0, 0, 0 );
 		ldap_result_code= LDAP_BUSY;
 		retval = -1;
 		goto error_return;
@@ -1204,7 +1204,7 @@ ldbm_back_delete( Slapi_PBlock *pb )
     if (create_tombstone_entry) {
 			retval = cache_replace(&inst->inst_cache, e, tombstone);
 			if (retval) {
-				LDAPDebug(LDAP_DEBUG_CACHE, "ldbm_back_delete: cache_replace failed (%d): %s --> %s\n",
+				LDAPDebug(LDAP_DEBUG_CACHE, LOG_DEBUG, "ldbm_back_delete: cache_replace failed (%d): %s --> %s\n",
 				          retval, slapi_entry_get_dn(e->ep_entry), slapi_entry_get_dn(tombstone->ep_entry));
 				retval= -1;
 				goto error_return;
@@ -1293,7 +1293,7 @@ ldbm_back_delete( Slapi_PBlock *pb )
 	if (ruv_c_init) {
 		if (modify_switch_entries(&ruv_c, be) != 0 ) {
 			ldap_result_code= LDAP_OPERATIONS_ERROR;
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"ldbm_back_delete: modify_switch_entries failed\n", 0, 0, 0);
 			retval = -1;
 			goto error_return;
diff --git a/ldap/servers/slapd/back-ldbm/ldbm_entryrdn.c b/ldap/servers/slapd/back-ldbm/ldbm_entryrdn.c
index f66ae68..ea49556 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_entryrdn.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_entryrdn.c
@@ -25,7 +25,7 @@ static int entryrdn_noancestorid = 0;
 #ifdef ENTRYRDN_DEBUG
 #define ASSERT(_x) do { \
     if (!(_x)) { \
-        LDAPDebug(LDAP_DEBUG_ANY, "BAD ASSERTION at %s/%d: %s\n", \
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "BAD ASSERTION at %s/%d: %s\n", \
         __FILE__, __LINE__, #_x); \
         *(char *)0L = 23; \
     } \
